<?php

namespace App\Modules\FactTypeDocument\Domain;

use App\Modules\Shared\Domain\Storage\Criteria\StorageCriteria;

interface FactTypeDocumentRepository
{
    public function find(StorageCriteria $action): FactTypeDocument;
    public function search(StorageCriteria $action): array;
    public function insert(FactTypeDocument $model);
    public function update(FactTypeDocument $model);
}
